Update the information on a specific customer account.
Replaces the customer's personal information, contact details, address, consent records, and optional property records with the values provided in the request body. The customer password is changed only if a new password is provided; omitting the password field leaves it unchanged.
To update multiple custom property records in bulk without affecting other customer data, use POST /customers/{customer_id}/properties/batch.
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
204No Content
401The client has invalid credentials or auth token.
401The client has invalid credentials or auth token.
403The client does not exist or the client tried to access an unauthorized property or resource.
403The client does not exist or the client tried to access an unauthorized property or resource.
404The request path does not match any API route, or the addressed resource does not exist.
404The request path does not match any API route, or the addressed resource does not exist.
405The request path matches a valid route, but the endpoint does not support the HTTP method used in the request.
405The request path matches a valid route, but the endpoint does not support the HTTP method used in the request.
429Too many requests - more than the resource limit.
500Server is not working as expected.
500Server is not working as expected.
503Temporary state when the service is temporarily unavailable, overloaded or there is a maintenance window.